Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153733 - can't build with imlib2, pkg-config [...] imlib2 doesn't work
Summary: can't build with imlib2, pkg-config [...] imlib2 doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imlib2
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 13:32 UTC by Nils Philippsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-06 11:31:49 UTC


Attachments (Terms of Use)

Description Nils Philippsen 2005-04-05 13:32:46 UTC
Description of problem:

when running pkg-config on imlib2, it can't resolve dependencies correctly, e.g.:

nils@gibraltar:~> pkg-config --libs imlib2
Package @requirements@ was not found in the pkg-config search path.
Perhaps you should add the directory containing `@requirements@.pc'
to the PKG_CONFIG_PATH environment variable
Package '@requirements@', required by 'imlib2', not found
nils@gibraltar:~>

It seems like a placeholder ("@requirements@") was left in
/usr/lib/pkgconfig/imlib2.pc instead of the library's requirements.

Version-Release number of selected component (if applicable):

1.2.0-5

Comment 1 Michael Schwendt 2005-04-05 19:05:06 UTC
[disburdening Anvil a bit - going to fix this]

Comment 2 Michael Schwendt 2005-04-06 11:31:49 UTC
fixed in imlib2-devel-1.2.0-7.fc3



Note You need to log in before you can comment on or make changes to this bug.